
Figure - Bug #112712
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】应用小窗Mini模式下，拖动小窗应用至其它位置时，小窗消失
2022-10-19 15:36 - CD Test赵飞

Status: CLOSED Start date:

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221019.alpha

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Reproducibility: Every time Fixed Version: 2022-10-28

Test Type: IT Root cause: 轻滑动逻辑错误 导致小窗消失

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221019.alpha

【前提条件】

1、设备已开机

【测试步骤】

1、长按桌面任意一个支持小窗的应用，如“图库”图标，选择“小窗”

2、点击小窗顶部“Mini模式”图标

3、任意拖动小窗至其他位置（屏幕其他三个角）

【预期结果】

3、应用Mini小窗正常被拖动至预期的位置

【实际结果】

3、应用Mini小窗被拖动了几次后，小窗消失

【复现率】

5/5

【日志】

录屏及日志见附件

History

#1 - 2022-10-19 15:45 - CD Test赵飞

- File logcat.txt added

#2 - 2022-10-24 20:45 - DL FW-张挽强

- Status changed from New to ASSIGNED

My analysis

上划触发了轻滑动造成了小窗关闭

Current conclusion

1.上划区域有问题 已经修正
2.小窗无法向上移除屏幕 已经解除限制

Next action / ■Submit URL

调查上划小窗造成屏幕下侧黑屏

#3 - 2022-10-25 09:08 - DL FW-王琳

My analysis

当前修改方式, 引发其它问题, 还需要调查原因

Next action

10/30交付有风险, 建议放到下一个交付节点

#4 - 2022-10-25 10:16 - CDTS-TEST 周婷

10/25或者10/26出一个 结论说明

#5 - 2022-10-25 10:51 - DL FW-张挽强

- % Done changed from 100 to 40

#6 - 2022-10-25 18:19 - DL FW-张挽强

My analysis

解除windowConfiguration.getBounds() ，这使应用程序的边界可能回受到动画或者瞬态交互边界的影响，造成屏幕下侧有闪黑的现象。

Next action

1.下载编译winscop 来分析闪黑的窗口内容

2.如果这个问题没有结论，我理解可以做一个上移边界的限制，来暂时解决消失和平衡轻滑动的方案。

#7 - 2022-10-27 18:12 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 40 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-10-28

- Root cause set to 轻滑动逻辑错误 导致小窗消失

#8 - 2022-10-28 15:12 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

10.28 验证关闭

#9 - 2022-10-28 15:12 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158160 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12
zhangwq0711@thundersoft.com



-dev

AF:MultiWindow:fixed freeform  movement disappeared1.Modify the freeform light sliding logicTC-RID: 1201-0204601IssueID: TS-R-BUG-112712Change-Id:

I464945785bb1aa343b7e8c2611bdae9bdaa60c49

Files

screen-20221019-061321.mp4 10.9 MB 2022-10-19 CD Test赵飞

logcat.txt 3.66 MB 2022-10-19 CD Test赵飞
